from django.contrib import admin
from .models import *
from treebeard.admin import TreeAdmin
from treebeard.forms import movenodeform_factory
# Register your models here.

class MyAdmin(TreeAdmin):
    form = movenodeform_factory(Category)

admin.site.register(Purchase)
admin.site.register(ReceipeImage)
admin.site.register(PurchaseArticle)
admin.site.register(Market)
admin.site.register(Article)
admin.site.register(ArticleMaps)
admin.site.register(Ingredients)
admin.site.register(IngredientsArticle)
admin.site.register(Allergenes)
admin.site.register(Labels)
admin.site.register(Brand)
admin.site.register(NutritionalValues)
admin.site.register(Packaging)
admin.site.register(PackagingArticle)
admin.site.register(Category, MyAdmin)
